/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-07-16 16:37:05
 * @LastEditors: 无尘
 * @LastEditTime: 2020-07-21 13:42:37
 */
import _import from './_import.js';

const errorPage = r => {
  import('@/views/errorPage/index.vue').then(module => {
    r(module);
  });
};

export const routes = [
  {
    path: '/',
    name: '/',
    redirect: 'login'
  },
  {
    path: '/login',
    name: '登录',
    component: _import('login', 'index')
  },
  {
    path: '/index',
    name: 'index',
    component: _import('index', 'index')
  },
  {
    // 通讯录
    path: '/contacts',
    name: '通讯录',
    redirect: 'contactsList',
    component: _import('business', 'index'),
    children: [
      {
        path: '/contactsList',
        name: '通讯录',
        component: _import('business', 'contacts')
      },
      {
        path: '/syncLog',
        name: '通讯录日志',
        component: _import('business', 'syncLog')
      },
      {
        path: '/authMerchant',
        name: '授权商户',
        component: _import('business', 'authMerchant')
      }
    ]
  },
  {
    // 审核中心
    path: '/reviewCenter',
    name: '审核中心',
    redirect: 'unreview',
    component: _import('reviewCenter', 'index'),
    children: [
      {
        path: '/reviewed',
        name: '已审核',
        component: _import('reviewCenter', 'reviewed')
      },
      {
        path: '/unreview',
        name: '未审核',
        component: _import('reviewCenter', 'unreview')
      },
      {
        path: '/reviewSet',
        name: '审核设置',
        component: _import('reviewCenter', 'reviewSet')
      }
    ]
  },
  {
    // 企业设置
    path: '/enterprise',
    name: '企业设置',
    redirect: 'enterpriseSet',
    component: _import('enterprise', 'index'),
    children: [
      {
        path: '/enterpriseSet',
        name: '企业信息',
        component: _import('enterprise', 'enterpriseSet')
      },
      {
        path: '/authManage',
        name: '权限管理',
        component: _import('enterprise', 'authManage')
      },
      {
        path: '/superAdmin',
        name: '超级管理员',
        component: _import('enterprise', 'superAdmin')
      }
    ]
  },
  {
    path: '/gic-error',
    name: 'gic跳转失败页',
    component: _import('errorPage', 'gic-error')
  },
  {
    path: '/403',
    name: '无权访问',
    component: errorPage
  },
  {
    path: '/404',
    name: 'error404',
    component: errorPage
  },
  {
    path: '/500',
    name: 'error500',
    component: errorPage
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
];
